Subject: [Id-event] A few Subject ID comments

From: Yaron Sheffer <[email-masked]>
Date: Tue, 23 Jul 2019 21:12:02 +0300

Sorry I couldn't be there in person, so here's a couple comments
before I forget:

- Shouldn't this draft officially "update" the SET RFC, because
we are changing the semantics of what the subject is? In
particular if we're allowing JWTs (SETs?) with no "sub" claim.

- There are a few dangling commas in the examples in Sec. 4.1
which IIRC is not legal JSON.

- If the semantics of having both "sub" and "sub_id" in a JWT is
that both are aliases to the same principal, wouldn't it simplify
everything (including the code) is we disallowed this case and
instead, required the use of "sub_id" with an "aliases" construct?

Thanks,

Yaron